[GTK] Enable plugin-related CMake options and variables for the X11 target only
authorzandobersek@gmail.com <zandobersek@gmail.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 14 May 2015 10:52:20 +0000 (10:52 +0000)
committerzandobersek@gmail.com <zandobersek@gmail.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 14 May 2015 10:52:20 +0000 (10:52 +0000)
commita8d1b91313c8b9e9a54215cd2bb4480b46906710
tree50d20a8e52a3ddb6b18fdd3413ae6ab992c07dd0
parentbf614a32f547a8b9c6583f6e734ed853bd94f332
[GTK] Enable plugin-related CMake options and variables for the X11 target only
https://bugs.webkit.org/show_bug.cgi?id=144995

Reviewed by Carlos Garcia Campos.

* Source/cmake/OptionsGTK.cmake: Plugins are only supported for
the X11 windowing target at the moment, so the following options
and variables should be enabled or disabled accordingly:
- ENABLE_PLUGIN_PROCESS_GTK2
- ENABLE_NETSCAPE_PLUGIN_API
- ENABLE_PLUGIN_PROCESS

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@184335 268f45cc-cd09-0410-ab3c-d52691b4dbfc
ChangeLog
Source/cmake/OptionsGTK.cmake